package org.josast.amicalsat;

import org.josast.amicalsat.FrameTlmAmicalsat.A1FlagType;
import org.josast.amicalsat.FrameTlmAmicalsat.A1Type;

 

// #A1;FLAGS;[mode];[flags];[faults]
public class A1FlagTypeFrame extends Frame {

	private String mode;
	private String a1Flags;
	private String faults;

	@Override
	public void setUp(FrameTlmAmicalsat cube) {
		A1Type a1type = (A1Type) cube.frameTlmEntrySat().payload().tlmAreaSwitch();
			A1FlagType log = (A1FlagType) a1type.tlmSw();
			// System.out.println("Time Stamp : "log.);
			
			mode= log.mode();
			hash.put("Mode", mode);
			a1Flags= log.a1Flags();
			hash.put("Flags", a1Flags);			
			faults= log.faults();
			hash.put("Faults", faults);		
			
			

		}
		
	}



